%define rname	switchproxy
%define cid 	\{27A2FD41-CB23-4518-AB5C-C25BAFFDE531\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Summary:	Plugin switchproxy for Firefox
Name:		%firefox_name-%rname
Version:	1.4.2
Release:	alt1
Source0:	%rname-%version.xpi
Source1:	switchproxy-chrome.manifest
License:	GPL
Group:		Networking/WWW	
URL:		http://mozmonkey.com/packages/switchproxy
Packager:	Alexey Shabalin <shaba@altlinux.ru>

BuildArch:      noarch

BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip


%description 	
A tool that allows you to manage and switch between multiple proxy configurations quickly and easily.

%prep
%setup -c
 
%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir
cp %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Oct 17 2008 Alexey Shabalin <shaba@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 1.4.1-alt1.1
- rebuild for firefox 2.0.0.2

* Thu Jan 11 2007 Alexey Shabalin <shaba@altlinux.ru> 1.4.1-alt1
- 1.4.1
- add chrome.manifest
- set noarch.
- remove obsoleted macros.

* Mon Sep 25 2006 Alexey Shabalin <shaba@altlinux.ru> 1.4-alt1
- update to 1.4 

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.3.4-alt2.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.3.4-alt2.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 1.3.4-alt2
- NMU: rebuild with firefox 1.5.0.1

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.4-alt1
- NMU
- new version
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.3.2-alt2.3
- rebuild with new firefox.

* Fri Oct 28 2005 LAKostis <lakostis at altlinux.ru> 1.3.2-alt2.2
- quick`n`dirty permissions fix.

* Sun Oct 16 2005 LAKostis <lakostis at altlinux.ru> 1.3.2-alt2.1
- add initial ru-RU translation.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.3.2-alt2
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.3
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.1
- Rebuild with new firefox.

* Fri Jul 01 2005 Alexey Shabalin <shaba@altlinux.ru> 1.3.2-alt1
- first build for ALT Linux.
